Page MenuHomePhabricator

[AMDGPU] Update Memory Model in AMDGPUUsage.rst
ClosedPublic

Authored by scott.linder on Oct 16 2020, 2:26 PM.

Details

Summary

Mostly NFC, but some changes are "bug fixes" rather than just e.g.
formatting changes or typo corrections.

  • Fix typo "competing" -> "completing".
  • Document why waintcnt is added to stores and not loads for sequentially consistent ordering.
  • Lowercase some mentions of buffer_gl{0,1}_inv.
  • Make mentions of *cnt(0) consistently include the (0) count.
  • Remove some mentions of instructions for incorrect address spaces. For example, remove mention of flat_load from load atomic acquire workgroup global.
  • Re-flow some text to get all the target columns to fit in a 32-character wide column. Makes a future NFC patch to make these columns both 32-character wide more straightforward.

Modified cherry-pick of patch by Tony Tye

Diff Detail

Event Timeline

scott.linder created this revision.Oct 16 2020, 2:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 16 2020, 2:26 PM
scott.linder requested review of this revision.Oct 16 2020, 2:26 PM
t-tye accepted this revision.Oct 16 2020, 2:33 PM

LGTM

This revision is now accepted and ready to land.Oct 16 2020, 2:33 PM
scott.linder retitled this revision from [AMDGPU] Update AMDGPUUsage.rst to [AMDGPU] Update Memory Model in AMDGPUUsage.rst.
scott.linder edited the summary of this revision. (Show Details)

Upstream more fixes

t-tye added inline comments.Oct 27 2020, 1:39 PM
llvm/docs/AMDGPUUsage.rst
5081

This row is just global. There is a separate row for generic. So:

2. buffer/global_store     2. buffer/global_store
scott.linder edited the summary of this revision. (Show Details)

Address feedback.

Remove more instances of instructions which don't apply to a row's address space.

scott.linder marked an inline comment as done.Oct 28 2020, 12:26 PM
t-tye accepted this revision.Oct 29 2020, 2:32 PM

LGTM

This revision was landed with ongoing or failed builds.Oct 29 2020, 4:10 PM
This revision was automatically updated to reflect the committed changes.